# Function ng1ViewsBuilder

- ng1ViewsBuilder(state): {}

- This is a [[StateBuilder.builder]] function for angular1 `views`.

  When the [[StateBuilder]] builds a [[StateObject]] object from a raw [[StateDeclaration]], this builder handles the `views` property with logic specific to @uirouter/angularjs (ng1).

  If no `views: {}` property exists on the [[StateDeclaration]], then it creates the `views` object and applies the state-level configuration to a view named `$default`.

  #### Parameters

  - state: any

  #### Returns {}

  - Defined in router/state/views.js:31